<?php
/**
 * The template for displaying Category pages
 *
 * Used to display archive-type pages for posts in a category.
 *
 * @link http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Hosting
 * @subpackage JV_Hosting
 * @since JV Hosting 1.0
 */
?>
<form role="search" method="get" class="woocommerce-product-search" action="<?php echo esc_url( home_url( '/'  ) ); ?>">
	<label class="screen-reader-text" for="s"><?php _e( 'Search for:', 'jv-hosting' ); ?></label>
	<input type="search" class="search-field" placeholder="<?php echo esc_attr_x( 'Search Products&hellip;', 'placeholder', 'jv-hosting' ); ?>" value="<?php echo get_search_query(); ?>" id="s" name="s" title="<?php echo esc_attr_x( 'Search for:', 'label', 'jv-hosting' ); ?>" />
	<input type="submit" value="<?php echo esc_attr_x( 'Search', 'submit button', 'jv-hosting' ); ?>" />
	<input type="hidden" name="post_type" value="product" />
</form>
