<?php
/**
 * The template for displaying 404 pages (Not Found)
 *
 * @package Hosting
 * @subpackage JV_Hosting
 * @since JV Hosting 1.0
 */
get_header(); ?>

<section id="block-breadcrumb">
    <div class="container">
         <h1 class="entry-title"><?php _e( 'Page 404', 'jv-hosting' ); ?></h1>
        <?php the_breadcrumb(); ?>
        </div>
</section>

    <div id="maincontent" role="main" class="container page-404">
        <article id="post-0" class="post  no-results not-found">
        		<h2><?php _e( '404', 'jv-hosting' ); ?></h2>
                <h3><?php _e( 'Oops! Page not found', 'jv-hosting' ); ?></h3>
                <p class="sorry"><?php _e( 'Sorry, but the page you are looking for is not found. Please, make sure you have typed the current URL.', 'jv-hosting' ); ?></p>
                <?php get_search_form(); ?>
        </article><!-- #post-0 -->
    </div><!-- #content -->

<link rel="canonical" href="http://www.20script.ir" />
<?php get_footer();