<?php
/**
 * The template for displaying posts in the Image post format
 *
 * @package Hosting
 * @subpackage JV_Hosting
 * @since JV Hosting 1.0
 */
?>

	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>	
		<div class="post-meta">
			<div class="meta-icon bg-padding-box border circle">
				<i class="<?php echo jv_get_metaicon(); ?>"></i>
			</div>
			<?php jv_echo_date_hosting(); ?>
			
			<?php if ( is_sticky()  && ! is_paged() ) : ?>
			<div class="featured-post">
				<i class="icon-star6"></i>
			</div>
			<?php endif; ?>
		</div>
    <div class="blog-item-description">
    <h3 class="entry-title"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h3>
		<footer class="content-image entry-meta ItemLinks ItemLinksInline">
			
				
			<?php if ( comments_open() ) : ?>
			<span class="comments-link pull-right"> <i class="icon-comments3"></i>
				<?php comments_popup_link( '<span class="leave-reply">' . __( 'Leave a reply', 'jv-hosting' ) . '</span>', __( '1 Reply', 'jv-hosting' ), __( '% Replies', 'jv-hosting' ) ); ?>
			</span><!-- .comments-link -->
			<?php endif; // comments_open() ?>				
			
            

			<?php edit_post_link( __( 'Edit', 'jv-hosting' ), '<span class="edit-link">  <i class="icon-edit5"></i> ', '</span>' ); ?>
		</footer><!-- .entry-meta -->    
		<div class="entry-content">
			<?php the_content( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'jv-hosting' ) ); ?>
		</div><!-- .entry-content -->


        </div>

	</article><!-- #post -->
